com.holonplatform.datastore.jdbc.dialect

## Class DefaultDialect

- java.lang.Object
- - com.holonplatform.datastore.jdbc.dialect.DefaultDialect

- All Implemented Interfaces:
    JdbcDialect, Serializable

      public class DefaultDialect
      extends Object
      implements JdbcDialect

  Default `JdbcDialect` implementation.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.JdbcDialect

      `JdbcDialect.DialectResolutionContext, JdbcDialect.LimitHandler, JdbcDialect.SQLFunction, JdbcDialect.SQLParameterProcessor, JdbcDialect.SQLPathProcessor, JdbcDialect.SQLValueDeserializer, JdbcDialect.StatementConfigurationException, JdbcDialect.StatementConfigurator, JdbcDialect.StatementParameterHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `generatedKeyAlwaysReturned()` Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds.
    `JdbcDialect.StatementConfigurator` | `getStatementConfigurator()` Get the `JdbcDialect.StatementConfigurator` to use to configure JDBC statements.
    `void` | `init(JdbcDatastore datastore)` Dialect initialization hook at parent datastore initialization.
    `boolean` | `supportsGetGeneratedKeys()` Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
    `boolean` | `supportsLikeEscapeClause()` Retrieves whether this database supports specifying a `LIKE` escape clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.JdbcDialect

      `deleteStatementAliasSupported, deleteStatementTargetRequired, getColumnName, getFunction, getLimitHandler, getParameterProcessor, getPathProcessor, getPrimaryKey, getStatementParameterHandler, getTableName, getValueDeserializer, supportGetGeneratedKeyByName, useOuterInJoins`

- - ### Constructor Detail

    - #### DefaultDialect

          public DefaultDialect()

  - ### Method Detail

    - #### init

          public void init(JdbcDatastore datastore)
                    throws SQLException

      Description copied from interface: `JdbcDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `JdbcDialect`
      Parameters:
        `datastore` - Parent datastore
      Throws:
        `SQLException` - An error occurred during dialect initialization

    - #### getStatementConfigurator

          public JdbcDialect.StatementConfigurator getStatementConfigurator()

      Description copied from interface: `JdbcDialect`
      Get the `JdbcDialect.StatementConfigurator` to use to configure JDBC statements.
      Specified by:
        `getStatementConfigurator` in interface `JdbcDialect`
      Returns:
        The StatementConfigurator (not null)

    - #### supportsLikeEscapeClause

          public boolean supportsLikeEscapeClause()

      Description copied from interface: `JdbcDialect`
      Retrieves whether this database supports specifying a `LIKE` escape clause.
      Specified by:
        `supportsLikeEscapeClause` in interface `JdbcDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys()

      Description copied from interface: `JdbcDialect`
      Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
      Specified by:
        `supportsGetGeneratedKeys` in interface `JdbcDialect`
      Returns:
        `true` if auto-generated keys can be retrieved after a statement has executed; `false` otherwise

    - #### generatedKeyAlwaysReturned

          public boolean generatedKeyAlwaysReturned()

      Description copied from interface: `JdbcDialect`
      Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds. The key that is returned may or may not be based on the column(s) for the auto generated key.
      Specified by:
        `generatedKeyAlwaysReturned` in interface `JdbcDialect`
      Returns:
        `true` if so; `false` otherwise

Copyright © 2017 The Holon Platform. All rights reserved.